 <?php

    require_once($path["page"] . "Page.php");
    require_once($path["entity"] . "Custom_Filter.php");


    /**
     * Main reports page.
     */
    class Report_Page extends Page{

        /**
         * Custom filters for this page.
         */
        public $custom_filters_runeupgrade = [];

        /**
         * Constructor.
         *
         * Retrieves the data and initializes the variables.
         *
         * @param SQLite3 $db Connection to the database.
         */
        public function __construct($db){
            global $path;
            global $root;
            global $UID;
            parent::__construct($db);
            $this->view = $path["view"] . "report.php";

            // Get custom filters
            $s = "
              SELECT id
              FROM filter
              WHERE
                uid = '$UID' AND
                page = 'REPORT_RUNEUPGRADE';
            ";
            $q = $this->db->query($s);
            while ($r = $q->fetchArray(SQLITE3_ASSOC)){
                array_push($this->custom_filters_runeupgrade, new Custom_Filter($this->db, $r["id"]));
            }

            $this->title = "Reports - SWDB";
            $this->description = "Usefull reports for summoners";
            $this->canonical = $root . "report";$this->title = "Reports - SWDB";
        }
    }
?>
